print("loading Date/Time Mod by adcrafter27");
DateandTime = {};
function DateandTime:loadMap(name)
	self.startzeit = getTime();
	self.language = g_languageShort;
	self.counter = true;
	if g_i18n:hasText("DateandTimeFormat") then
		self.timform = g_i18n:getText("DateandTimeFormat");
	else
		self.timform = 12;
	end;
	self.months = {};
    self.months[01] = "Jan";
    self.months[02] = "Feb";
    self.months[03] = "Maer";
    self.months[04] = "Apr";
    self.months[05] = "Mai";
    self.months[06] = "Jun";
    self.months[07] = "Jul";
    self.months[08] = "Aug";
    self.months[09] = "Sep";
    self.months[10] = "Okt";
    self.months[11] = "Nov";
    self.months[12] = "Dez";
	self.days = {};
	self.days[1] = "Sonntag";
	self.days[2] = "Montag";
	self.days[3] = "Dienstag";
	self.days[4] = "Mittwoch";
	self.days[5] = "Donnerstag";
	self.days[6] = "Freitag";
	self.days[7] = "Samstag";
	self.de_tag = self.days[tonumber(getDate("%w"))+1];
	self.curmon = getDate("%m")
	self.de_monat = self.months[tonumber(self.curmon)];
end;
function DateandTime:deleteMap()

end;
function DateandTime:mouseEvent(posX, posY, isDown, isUp, button)

end;
function DateandTime:keyEvent(unicode, sym, modifier, isDown)

end;
function DateandTime:update(dt)
		
end;
function DateandTime:draw()
	setTextColor(1,1,1,1);
	if self.language == "en" then
		renderText(0.80, 0.982, 0.02, getDate("%a, %d.%b %Y"));
	elseif self.language == "de" then
		renderText(0.80, 0.982, 0.02, (self.de_tag..", "..getDate("%d").."."..self.de_monat.." "..getDate("%Y")));
	else
		renderText(0.80, 0.982, 0.02, getDate("%a, %d.%b %Y")); 
	end;
	if tonumber(self.timform) == 12 then
		renderText(0.93, 0.982, 0.02, getDate("%I:%M:%S ")..string.lower(getDate("%p")));
	elseif tonumber(self.timform) == 24 then
		renderText(0.93, 0.982, 0.02, getDate("%H:%M:%S"));		-- 24h
	else
		renderText(0.93, 0.982, 0.02, getDate("%I:%M:%S ")..string.lower(getDate("%p")));
	end
	setTextColor(1, 1, 1, 0);
end;
addModEventListener(DateandTime);